#include<reg51.h>
long i;		//Объявляем переменную-счетчик
int j;
void svGorit (void)
{
P0=0;			//Зажигание светодиода
i=i+1;          	//Увеличиваем на 1 счетчик
}
void svGasnet (void)
{
P0=1;			//Гашение светодиода
i=i-1;			//Увеличиваем на 1 счетчик
}
void main (void)
{
j=0;
i=0;
do			//Обнуляем счетчик
svGorit();		//Вызов функции с именем svGorit
while(i==10000000);	//Проверка - истекло ли время зажигания
do
svGasnet();     	//Вызов функции с именем svGasnet
while(i==0);		//Проверка - истекло ли время гашения
while(j==1);		//Бесконечный цикл
}
